import React from 'react';
import Dropdown from '../../dropdown';
import Menu from '../../menu';
import Icon from '../../icon';
var DropdownActions = function (_a) {
    var actions = _a.actions;
    var actionIcon = (function () {
        return React.createElement(Icon, { type: "ellipsis-vertical", size: "small" });
    })();
    return (React.createElement(Dropdown, { trigger: actionIcon, triggerType: "click" },
        React.createElement(Menu, null, actions.map(function (_a, i) {
            var label = _a.label, onClick = _a.onClick;
            return React.createElement(Menu.Item, { onClick: onClick, key: i }, label);
        }))));
};
export default DropdownActions;
